# Class IsEmptyPipe<T>

#### Type Parameters

- T extends Record<string, unknown>

#### Implements

- PipeTransform

- Defined in lib/is-empty.pipe.ts:13

#####
Index

### Constructors

constructor

### Methods

transform

## Constructors

### constructor

- new IsEmptyPipe<T>(): IsEmptyPipe<T>

- #### Type Parameters

  - T extends Record<string, unknown>

  #### Returns IsEmptyPipe<T>

## Methods

### transform

- transform(data, path?): Observable<boolean>

- #### Parameters

  - data: Observable<T>
  - `Optional` path: string

  #### Returns Observable<boolean>

  Implementation of PipeTransform.transform

  - Defined in lib/is-empty.pipe.ts:15